Summary: 	A mpc plugin for the Xfce panel
Summary(de):	Eine mpc Erweiterung für das Xfce-Panel
Name: 		xfce4-mpc-plugin
Version: 	0.4.5
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Source0: 	http://goodies.xfce.org/releases/xfce4-mpc-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	exo-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	%{_lib}mpd-devel
Requires:	mpd
Obsoletes:	xfce-mpc-plugin
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
This is a simple Xfce panel client plugin for Music Player Daemon.

Features :
* send Play/Stop/Next/Previous command to MPD
* uses gtk-theme media icons (at least nuvola, tango and rodent themes provides
  these icons)
* decrease/increase volume using the mouse wheel
* show the current volume, status and title as a tooltip when passing the mouse
  over the plugin
* show a simple playlist window upon middle-click, permitting to select a track
  to play
* configurable MPD host/port/password
* toggles repeat/random features in the right-click menu
* launch configurable client (gmpc, xterm -e ncmpc,..) through right-click menu

#german
%description -l de
Dies ist ein einfaches Xfce-Panel-Client-Plugin für den Music Player Daemon. 

Eigenschaften: 
* sendet Play / Stop / Vor / Zurück-Befehl zu MPD 
* Verwendet gtk-Thema Mediensymbole (mindestens nuvola, Tango und Nagetier-Themen bieten 
   diese Symbole) 
* Verringert / erhöht die Lautstärke mit dem Mausrad 
* Zeigt die aktuelle Lautstärke, Status und Titel als Tooltip beim Überfahren der Maus 
   über das Plugin 
* Ein einfaches Wiedergabelisten-Fenster wird beim Klick auf die mittlere Maustaste gezeigen, 
  ermöglicht eine Spur auswählen und abzuspielen 
* Konfigurierbarer MPD Host / Port / Passwort 
* Schaltet Repeat / Random Funktionen im Kontextmenü 
* Ausführung konfigurierbarer Klienten (gmpc, xterm-e ncmpc, ..) durch ein Rechtsklickmenü

#french
%description -l fr
C'est un simple client Xfce panel plugin pour Music Player Daemon. 

Caractéristiques: 
* Envoyez-Play / Stop / Suivant / commande précédente pour MPD 
* Utilise des icônes gtk-theme médias (au moins Nuvola, le tango et fournit des thèmes de rongeurs 
   ces icônes) 
* Réduit / augmente le volume en utilisant la molette de la souris 
* Montrer le volume actuel, le statut et le titre comme une bulle d'aide lors du passage de la souris 
   sur le plugin 
* Afficher une fenêtre de playlist sur simple clic du milieu, permettant de sélectionner une piste 
   à jouer 
* Configurable MPD host / port / mot de passe 
* Bascule REPRISE / caractéristiques aléatoires dans le menu clic-droit 
* Lancer le client configurable (gmpc, xterm-e ncmpc, ..) par un clic droit sur le menu

#spanish
%description -l es
Este es un simple cliente de Xfce panel de plug-in para Music Player Daemon. 

Características: 
* Enviar Play / Stop / Next / orden anterior a MPD 
* Utiliza iconos tema gtk-medios de comunicación (por lo menos Nuvola, el tango y temas de roedores proporciona 
   estos iconos) 
* Disminución / aumento de volumen con la rueda del ratón 
* Mostrar el volumen actual, el estado y el título como un tooltip al pasar el ratón 
   sobre el plugin 
* Mostrar una ventana de reproducción sencillas en medio clic, que permite seleccionar una pista de 
   a jugar 
* Huésped MPD configurable / puerto / contraseña 
* Cambia repetir / características de azar en la derecha, haga clic en el menú 
* Lanzamiento de cliente configurable (GMPc, xterm-e ncmpc, ..) a través de la derecha, haga clic en el menú

#polish
%description -l pl
This is a simple Xfce panel client plugin for Music Player Daemon.

#serbian
%description -l sr
Ово је једноставна Ксфце панелу клијента плугин за Музички плејер даемон. 

Избор: 
* Пошаљите Пусти / Заустави / Следећа / Претходна команда МФД 
* Користи Гтк-тема икона медији (барем Нувола, Танго и глодара теме обезбеђује 
   Ових икона) 
* Смањење / повећање обима користећи точкић миша 
* Показују тренутни обим, статус и титулу Тоолтип приликом доношења миша 
   преко додатак 
* Показују једноставан прозор нумера на средњи клик, дозвољава да бисте изабрали нумеру 
   играти 
* Конфигурабилан МФД домаћин / порта / лозинке 
* Укључује поновите / случајних функција у кликните десним тастером менија 
* Покретање конфигурисати клијента (гмпц, Цонтент-Трансфер-Е нцмпц, ..) преко десни-клик менија

#dutch
%description -l nl
Dit is een eenvoudige Xfce panel client plugin voor Music Player Daemon. 

Kenmerken: 
* Stuur Play / Stop / Volgende / vorige commando om MPD 
* Gebruik gtk-theme media-iconen (minstens Nuvola, tango en knaagdieren thema's bepaald 
   deze pictogrammen) 
* Afname / toename van het volume met het muiswiel 
* Laat de huidige omvang, status en titel als een tooltip bij het passeren van de muis 
   over de plugin 
* Een eenvoudig afspeellijstvenster op midden-klik, waardoor het selecteren van een track 
   spelen 
* Configureerbaar MPD gastheer / poort / wachtwoord 
* Schakelt repeat / random functies in het snelmenu 
* Lancering configureerbare client (gmpc, xterm-e ncmpc, ..) via rechts-klik menu

%prep
%setup -q

./autogen.sh --prefix=/usr

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS README
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/xfce4-mpc-plugin.desktop
%{_datadir}/locale/*


%changelog
* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.5-1pclos2015
- 0.4.5
- replace BR libxfcegui4 by libxfce4ui
- add missing BRs libxfce4util-devel and exo-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.4-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.4-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.4.4-1pclos2012
- 0.4.4
- added/fixed german summary and description
- fixed files section

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.3.6-1pclos2012
- update

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.3.3-3pclos2009
- gcc update

* Thu Sep 24 2009 Texstar <texstar@gmail.com> 0.3.3-2pclos2009
- fix dependency 

* Tue Jun 23 2009 johnnyblack <johnnyblack@inbox.com> 0.3.3-1pclos2009
- create

